---
document: modulemd
version: 2
data:
  name: mariadb-devel
  stream: "10.3"
  version: 8030020210419150013
  context: 30b713e6
  arch: x86_64
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
    content:
    - Boost
    - GPLv2
    - GPLv2 with exceptions and LGPLv2 and BSD
    - LGPLv2+
  xmd: {}
  dependencies:
  - buildrequires:
      platform: [el8.3.0]
    requires:
      mariadb-devel: [10.3]
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: 1d68f57fb9e72f4eba008c73f2b82dc0db31a586
        buildorder: 4
        arches: [aarch64, i686, ppc64le, x86_64]
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: edf4dd9603768acaff85eac8cc720d1a1351f42f
        buildorder: 12
        arches: [aarch64, i686, ppc64le, x86_64]
      galera:
        rationale: Galera package for MariaDB server replication
        ref: 29ac8f66af9ce546a5dc32afd7bee46243077ada
        buildorder: 16
        arches: [aarch64, i686, ppc64le, x86_64]
      mariadb:
        rationale: MariaDB package
        ref: bc80396207c22012a0d7db4349972cc8a9fef0c9
        buildorder: 8
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - Judy-0:1.0.5-18.module_el8.3.0+757+d382997d.i686
    - Judy-debuginfo-0:1.0.5-18.module_el8.3.0+757+d382997d.i686
    - Judy-debugsource-0:1.0.5-18.module_el8.3.0+757+d382997d.i686
    - Judy-devel-0:1.0.5-18.module_el8.3.0+757+d382997d.i686
    - Judy-devel-0:1.0.5-18.module_el8.3.0+757+d382997d.x86_64
    - asio-0:1.10.8-7.module_el8.3.0+757+d382997d.src
    - asio-devel-0:1.10.8-7.module_el8.3.0+757+d382997d.i686
    - asio-devel-0:1.10.8-7.module_el8.3.0+757+d382997d.x86_64
    - galera-0:25.3.32-1.module_el8.3.0+757+d382997d.i686
    - galera-debuginfo-0:25.3.32-1.module_el8.3.0+757+d382997d.i686
    - galera-debugsource-0:25.3.32-1.module_el8.3.0+757+d382997d.i686
    - mariadb-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-backup-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-backup-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-common-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-debugsource-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-devel-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-embedded-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-embedded-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-embedded-devel-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-errmsg-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-gssapi-server-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-gssapi-server-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-oqgraph-engine-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-oqgraph-engine-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-server-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-server-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-server-galera-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-server-utils-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-server-utils-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-test-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
    - mariadb-test-debuginfo-3:10.3.28-1.module_el8.3.0+757+d382997d.i686
...
